> ## Documentation Index
> Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a cloud account by name

> Response will contain the requested cloud account if the caller is authorized to view it



## OpenAPI

````yaml get /org/{org}/cloudaccount/{name}
openapi: 3.0.3
info:
  title: Control Plane Core API
  description: Copyright © 2023 Control Plane Corporation. All rights reserved.
  version: 1.0.0
servers:
  - url: https://api.cpln.io
    description: ''
security:
  - {}
  - serviceAccountKey: []
  - jwt: []
externalDocs:
  url: https://docs.controlplane.com/
  description: End-user documentation
paths:
  /org/{org}/cloudaccount/{name}:
    get:
      tags:
        - cloudaccount
      summary: Get a cloud account by name
      description: >-
        Response will contain the requested cloud account if the caller is
        authorized to view it
      parameters:
        - in: path
          name: org
          required: true
          schema:
            type: string
        - in: path
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/cloudaccount'
        '403':
          description: Not found or not allowed to view
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    cloudaccount:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          maxLength: 64
        kind:
          type: string
          readOnly: true
        version:
          type: integer
          readOnly: true
        description:
          type: string
          maxLength: 250
        tags:
          type: object
        created:
          type: string
          format: date-time
          readOnly: true
        lastModified:
          type: string
          format: date-time
          readOnly: true
        links:
          type: array
          items:
            $ref: '#/components/schemas/link'
          readOnly: true
        provider:
          type: string
          enum:
            - aws
            - gcp
            - azure
            - ngs
        data:
          oneOf:
            - $ref: '#/components/schemas/cloudaccount_gcp_config'
            - $ref: '#/components/schemas/cloudaccount_aws_config'
            - $ref: '#/components/schemas/cloudaccount_azure_config'
            - type: object
              properties:
                secretLink:
                  type: string
              additionalProperties: false
        status:
          type: object
          properties:
            usable:
              type: boolean
            lastChecked:
              type: string
              format: date-time
            lastError:
              type: string
          additionalProperties: false
          readOnly: true
      additionalProperties: false
    error:
      type: object
      properties:
        status:
          type: integer
        message:
          type: string
        code:
          type: string
        details:
          type: object
        id:
          type: string
      additionalProperties: false
    link:
      type: object
      properties:
        rel:
          type: string
        href:
          type: string
      additionalProperties: false
    cloudaccount_gcp_config:
      type: object
      properties:
        projectId:
          type: string
          maxLength: 30
      additionalProperties: false
    cloudaccount_aws_config:
      type: object
      properties:
        roleArn:
          type: string
      additionalProperties: false
    cloudaccount_azure_config:
      type: object
      properties:
        secretLink:
          type: string
      additionalProperties: false
  securitySchemes:
    serviceAccountKey:
      type: apiKey
      in: header
      name: Authorization
      description: Service account key can be used as API keys
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: IDP-provided token

````